org.apache.ignite.spi.communication.tcp.internal

## Interface TcpConnectionIndexAwareMessage

All Superinterfaces:
  Message, Serializable

All Known Implementing Classes:
  TcpInverseConnectionResponseMessage

    public interface TcpConnectionIndexAwareMessage
    extends Message

### Field Summary

Fields
`static int` `UNDEFINED_CONNECTION_INDEX`

### Fields inherited from interface org.apache.ignite.plugin.extensions.communication.Message

`DIRECT_TYPE_SIZE`

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `connectionIndex()`

### Methods inherited from interface org.apache.ignite.plugin.extensions.communication.Message

`directType, fieldsCount, onAckReceived, readFrom, writeTo`

### Field Detail

#### UNDEFINED_CONNECTION_INDEX

    static final int UNDEFINED_CONNECTION_INDEX

See Also:
  Constant Field Values

### Method Detail

#### connectionIndex

    int connectionIndex()

Returns:
  `UNDEFINED_CONNECTION_INDEX` if standard index has to be used. Desired connection index otherwise.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022